# Uses of Enum
org.apache.commons.math3.ml.clustering.KMeansPlusPlusClusterer.EmptyClusterStrategy

Packages that use KMeansPlusPlusClusterer.EmptyClusterStrategy
Package
Description
org.apache.commons.math3.ml.clustering
Clustering algorithms.

## Uses of KMeansPlusPlusClusterer.EmptyClusterStrategy in org.apache.commons.math3.ml.clustering

Methods in org.apache.commons.math3.ml.clustering that return KMeansPlusPlusClusterer.EmptyClusterStrategy
Modifier and Type
Method
Description
`KMeansPlusPlusClusterer.EmptyClusterStrategy`
KMeansPlusPlusClusterer.`getEmptyClusterStrategy()`
Returns the `KMeansPlusPlusClusterer.EmptyClusterStrategy` used by this instance.
`static KMeansPlusPlusClusterer.EmptyClusterStrategy`
KMeansPlusPlusClusterer.EmptyClusterStrategy.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static KMeansPlusPlusClusterer.EmptyClusterStrategy[]`
KMeansPlusPlusClusterer.EmptyClusterStrategy.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.apache.commons.math3.ml.clustering with parameters of type KMeansPlusPlusClusterer.EmptyClusterStrategy
Modifier
Constructor
Description
``
`KMeansPlusPlusClusterer(int k, int maxIterations, DistanceMeasure measure, RandomGenerator random, KMeansPlusPlusClusterer.EmptyClusterStrategy emptyStrategy)`
Build a clusterer.